%define anolis_release 1

Name:           usbredir
Version:        0.13.0
Release:        %{anolis_release}%{?dist}
Summary:        USB network redirection protocol libraries
License:        LGPLv2+
URL:            https://www.spice-space.org/usbredir.html
Source0:        http://spice-space.org/download/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  gcc g++
BuildRequires:  glib2-devel
BuildRequires:  libusbx-devel >= 1.0.9
BuildRequires:  meson

%description
The usbredir libraries allow USB devices to be used on remote and/or virtual
hosts over TCP.  The following libraries are provided:

usbredirparser:
A library containing the parser for the usbredir protocol

usbredirhost:
A library implementing the USB host side of a usbredir connection.
All that an application wishing to implement a USB host needs to do is:
* Provide a libusb device handle for the device
* Provide write and read callbacks for the actual transport of usbredir data
* Monitor for usbredir and libusb read/write events and call their handlers


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tools
Summary:        usbredir utility tools
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description    tools
Includes usbredirect that uses libusbredirhost to export an USB device for use
in another (virtual) machine

%package        doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
Doc files for %{name}

%prep
%autosetup -p1

%build
%meson \
    -Dgit_werror=disabled \
    -Dtools=enabled \
    -Dfuzzing=disabled

%meson_build

%install
%meson_install
%generate_compatibility_deps


%files
%license COPYING.LIB
%{_libdir}/libusbredir*.so.*
%dir %{abidir}
%{abidir}/*.dump

%files devel
%doc docs/usb-redirection-protocol.md docs/multi-thread.md
%{_includedir}/usbredir*.h
%{_libdir}/libusbredir*.so
%{_libdir}/pkgconfig/libusbredir*.pc

%files tools
%license COPYING
%{_bindir}/usbredirect
%{_mandir}/man1/usbredirect.1*
%{abidir}/*-option.list

%files doc
%doc ChangeLog.md TODO

%changelog
* Wed Mar 15 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.13.0-1
- init from upstream
